import { http } from "/@/utils/http";
import { loadEnv } from "@build/index";
const { VITE_PROXY_DOMAIN_REAL, VITE_PROXY_USER_REAL } = loadEnv();
const userAPi = VITE_PROXY_DOMAIN_REAL;
const yewuApi = VITE_PROXY_USER_REAL + "/admin/";
const newYewuApi = "http://project.test241.wanyuhengtong.com" + "/user/supplier/";

export const httpList = (data: object): any => {
  return http.request("post", `${newYewuApi}bankList`, { data });
};

export const httpCreate = (data: object): any => {
  return http.request("post", `${newYewuApi}bankCreate`, { data });
};

export const httpUpdate = (data: object): any => {
  return http.request("post", `${newYewuApi}bankUpdate`, { data });
};


export const httpStatus = (data: object): any => {
  return http.request("post", `${newYewuApi}bankStatus`, { data });
};

export const httpSetSettleCard = (data: object): any => {
  return http.request("post", `${newYewuApi}bankDefault`, { data });
};
